package com.pj.project.tb_driver;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.pj.utils.so.SoMap;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Mapper: tb_driver -- 司机
 * @author qzy 
 */

@Mapper
@Repository
public interface TbDriverMapper extends BaseMapper <TbDriver> {

	/**
	 * 增  
	 * @param t 实体对象 
	 * @return 受影响行数 
	 */
	int add(TbDriver t);

	/**
	 * 删  
	 * @param id 要删除的数据id  
	 * @return 受影响行数 
	 */
	int delete(Long id);	 

	/** 
	 * 改  
	 * @param t 实体对象 
	 * @return 受影响行数 
	 */
	int update(TbDriver t);

	/** 
	 * 查 - 根据id  
	 * @param id 要查询的数据id 
	 * @return 实体对象 
	 */
	TbDriver getById(Long id);

	/**
	 * 查集合 - 根据条件（参数为空时代表忽略指定条件）
	 * @param so 参数集合 
	 * @return 数据列表 
	 */
	List<TbDriver> getList(SoMap so);


}
